Scope requirements
Scope requirements
Understand auto-association settings
Subject and target objects
When viewing and updating activity auto-association settings, thesubjectObject and targetObject refer to the direction of the automatic association.
subjectObject: the object where the activity originated (i.e. was created or logged).targetObject: the object with which the activity associates.
0-1) is the subjectObject and companies (0-2) is the targetObject.
Association customization values
TheassociationCustomization field controls how activities are automatically associated with a target object. The following values are available depending on the combination of objects and activity type. Use the retrieve settings endpoint to check the valid options values for a given combination.
Retrieve auto-association settings
Retrieve current settings for an object
To retrieve the current auto-association settings for a specific object, make aGET request to /crm/auto-associations/2027-03-beta/{subjectObjectTypeId}.
For example, to retrieve auto-association settings for activities logged on contacts, make a GET request to /crm/auto-associations/2027-03-beta/0-1.
Your response will look similar to the following:
results array. Each item in the array represents one auto-association setting and includes the following fields:
Retrieve default settings for an object
To view the system defaults for an object, make aGET request to /crm/auto-associations/2027-03-beta/{subjectObjectTypeId}/defaults.
For example, to retrieve the default activity auto-association settings for contacts, make a GET request to /crm/auto-associations/2027-03-beta/0-1/defaults.
Your response will look similar to the following:
results array. Each entry includes subjectObjectTypeId, engagementType, targetObjectTypeId, associationCustomization, and id for the default behavior.
Update auto-association settings
To update activity auto-association settings for one or more combinations of subject object, activity type, and target object, make aPOST request to /crm/auto-associations/2027-03-beta/batch/upsert.
In your request body, include an associationCustomizationsToUpsert array. Each item in the array represents one setting to upsert:
For example, to update the auto-association behavior for calls and emails logged on contacts, make a
POST request to /crm/auto-associations/2027-03-beta/batch/upsert with the following request body:
results array which will look similar to the following:
- A call logged on a contact record will automatically associate only with the contact’s primary associated company.
- An email logged on a contact record will automatically associate with the contact’s five most recently associated deals.